Subject: Re: bug#51102: [PATCH] Make speedbar XEmacs compatibility mode obsolete (etags)

From: Eric Ludlam <[email-masked]>
Date: Sun, 10 Oct 2021 13:57:58 -0400

Yes, that could be, though my recollection is that the opposite was more
common back in the day.  I don't know what the current balance might be.

I spent a lot of time pulling in a wide array of taggers to solve this type
of problem.  After speedbar I switched to putting them in semantic tags
instead which had more utility than the more focused speedbar feature while
still working fine in speedbar.

Eric

On Sun, Oct 10, 2021, 1:51 PM Eli Zaretskii <[email-masked]> wrote:

> > From: Eric Ludlam <[email-masked]>
> > Date: Sun, 10 Oct 2021 12:31:43 -0400
> > Cc: Stefan Kangas <[email-masked]>, [email-masked],
> >       "Eric M. Ludlam" <[email-masked]>
> >
> > That was a very long time ago so I don't remember any specifics from
> then, but I can think of two reasons
> > imenu is better.
> >
> > One, you don't need to save the file and run an external command.
> >
> > Two, imenu has some nice binning it does to make the tags more navigable.
> >
> > I don't recall specific issues with etags within speedbar though, so
> "robust" is probably not the right word
> > here.
>
> Thanks.
>
> is it possible that some files will be in a programming language that
> imenu doesn't support, but etags does?
>